package zero1hd.polyjet.audio.map;

import zero1hd.polyjet.entity.Entities;

public class EntitySpawnInfo {
	private Entities entityType;
	private double[] parameters;
	
	public EntitySpawnInfo(Entities entityType, double... parameters) {
		this.entityType = entityType;
		this.parameters = parameters;
	}
	
	public Entities getEntityType() {
		return entityType;
	}
	
	@Override
	public String toString() {
		return entityType.name() + ": " + parameters.length;
	}
}
